//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include "wclIrDA.hpp"
#include "wclIrDAServers.hpp"
//---------------------------------------------------------------------------
class TfmMain : public TForm
{
__published:	// IDE-managed Components
    TButton *btListen;
    TButton *btClose;
    TListBox *lbEvents;
    TButton *btClear;
    TListView *lvClients;
    TButton *btDisconnect;
    TEdit *edText;
    TButton *btSend;
    TwclIrDAServer *wclIrDAServer;
        TButton *btGetBuffers;
        TButton *btSetBuffers;
        TLabel *laReadBuffer;
        TEdit *edReadBuffer;
        TLabel *laWriteBuffer;
        TEdit *edWriteBuffer;
        TLabel *laIasValueType;
        TComboBox *cbIasValueType;
        TButton *btAddIasRecord;
        void __fastcall btListenClick(TObject *Sender);
        void __fastcall btCloseClick(TObject *Sender);
        void __fastcall btClearClick(TObject *Sender);
        void __fastcall btDisconnectClick(TObject *Sender);
        void __fastcall btSendClick(TObject *Sender);
        void __fastcall wclIrDAServerListen(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall btGetBuffersClick(TObject *Sender);
        void __fastcall btSetBuffersClick(TObject *Sender);
        void __fastcall btAddIasRecordClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall wclIrDAServerDisconnect(TObject *Sender,
          const TwclIrDAServerClientConnection *Client, const int Reason);
        void __fastcall wclIrDAServerData(TObject *Sender,
          const TwclIrDAServerClientConnection *Client, const Pointer Data,
          const DWORD Size);
        void __fastcall wclIrDAServerConnect(TObject *Sender,
          const TwclIrDAServerClientConnection *Client, const int Error);
        void __fastcall wclIrDAServerClosed(TObject *Sender,
          const int Reason);
private:	// User declarations
public:		// User declarations
    __fastcall TfmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmMain *fmMain;
//---------------------------------------------------------------------------
#endif
